package org.foxarmy.barcodescannerforemployees

import android.os.Bundle
import android.view.Menu
import android.view.MenuItem
import androidx.appcompat.app.AppCompatActivity
import androidx.navigation.findNavController
import androidx.navigation.ui.AppBarConfiguration
import androidx.navigation.ui.navigateUp
import androidx.navigation.ui.setupActionBarWithNavController
import org.foxarmy.barcodescannerforemployees.databinding.ActivityMainBinding

class MainActivity : AppCompatActivity() {

    private lateinit var appBarConfiguration: AppBarConfiguration
    private lateinit var binding: ActivityMainBinding

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)

        val dbHelper = DBStorageController(applicationContext)
//        val db = dbHelper.writableDatabase
//
//        val values = ContentValues().apply {
//            put(ProductContract.ProductEntry.PRODUCT_NAME, "Имя продукта")
//            put(ProductContract.ProductEntry.PRODUCT_NET_WEIGHT, "0г")
//            put(ProductContract.ProductEntry.IMAGE_FILENAME, "image.png")
//        }
//
//        val netRowId = db?.insert(ProductContract.ProductEntry.TABLE_NAME, null, values)

//        val db2 = dbHelper.readableDatabase
//
//        val projection = arrayOf(BaseColumns._ID, ProductContract.ProductEntry.PRODUCT_NAME, ProductContract.ProductEntry.PRODUCT_NET_WEIGHT, ProductContract.ProductEntry.IMAGE_FILENAME)
//
//        val selection = "${ProductContract.ProductEntry.PRODUCT_NAME} = ?"
//        val selectionArgs = arrayOf("Имя продукта")
//
//        val cursor = db2.query(
//            ProductContract.ProductEntry.TABLE_NAME,
//            null,
//            selection,
//            selectionArgs,
//            null,
//            null,
//            null
//        )

        binding = ActivityMainBinding.inflate(layoutInflater)
        setContentView(binding.root)

        setSupportActionBar(binding.toolbar)

        val navController = findNavController(R.id.nav_host_fragment_content_main)
        appBarConfiguration = AppBarConfiguration(navController.graph)
        setupActionBarWithNavController(navController, appBarConfiguration)

        binding.addProductFab.setOnClickListener { view ->
//            Snackbar.make(view, "Replace with your own action", Snackbar.LENGTH_LONG)
//                .setAction("Action", null)
//                .setAnchorView(R.id.add_product_fab).show()
//            Toast.makeText(applicationContext, "Test", Toast.LENGTH_SHORT).show()
            navController.navigate(R.id.AddProductFragment)
        }
    }

    override fun onCreateOptionsMenu(menu: Menu): Boolean {
        // Inflate the menu; this adds items to the action bar if it is present.
        menuInflater.inflate(R.menu.menu_main, menu)
        return true
    }

    override fun onOptionsItemSelected(item: MenuItem): Boolean {
        // Handle action bar item clicks here. The action bar will
        // automatically handle clicks on the Home/Up button, so long
        // as you specify a parent activity in AndroidManifest.xml.
        return when (item.itemId) {
            R.id.action_settings -> true
            else -> super.onOptionsItemSelected(item)
        }
    }

    override fun onSupportNavigateUp(): Boolean {
        val navController = findNavController(R.id.nav_host_fragment_content_main)
        return navController.navigateUp(appBarConfiguration)
                || super.onSupportNavigateUp()
    }
}